// Copyright (C) 2023 WYATT GROUP
// Please see the AUTHORS file for details.
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program. If not, see <https://www.gnu.org/licenses/>.

import 'package:flutter/widgets.dart';
import 'package:wyatt_component_copy_with_extension/wyatt_component_copy_with_extension.dart';
import 'package:wyatt_ui_components/wyatt_ui_components.dart';

part 'error_component.g.dart';

@ComponentProxyExtension()
abstract class ErrorComponent extends Component
    with CopyWithMixin<$ErrorComponentCWProxy> {
  const ErrorComponent({
    this.colors,
    this.message,
    this.details,
    super.themeResolver,
    super.key,
  });

  /// Error message
  final TextWrapper? message;

  /// Details for the error component
  final TextWrapper? details;

  /// Colors for the error component
  final MultiColor? colors;
}
